Skip to navigation

Get Unit by ID

Get a single Unit by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

unit_idstringRequired
ID of the Unit.

Query parameters

returninglist of stringsOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitlist of stringsOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
aliaseslist of stringsOptional

Any additional short-form labels that should be recognized in input

archiveReasonstring or nullOptional
archivedbooleanOptional
conversionFactorstringOptionalformat: "decimal"
Conversion factor relative to the UnitType's baseUnit. E.g. for a kilometer, the baseUnit is meter and the conversionFactor is 1000.
createdAtstring or nullOptionalformat: "datetime"
idstringOptional
modifiedAtstring or nullOptionalformat: "datetime"
namestringOptional

Default long-form identifier, e.g. “meter”.

symbolstringOptional

Default short-form label, e.g. “m” for meter.

unitTypeobjectOptional

The unit type this unit belongs to. Units within the same UnitType are inter-convertible.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error